Index: regina/admin/acinclude.m4.top
===================================================================
--- regina/admin/acinclude.m4.top	(revision 3014)
+++ regina/admin/acinclude.m4.top	(revision 3210)
@@ -405,7 +405,7 @@
     pyversionlist=none
   ])
   if test "x$pyversionlist" = "xnone"; then
-    pyversionlist="python python2.4 python2.3 python2.2"
+    pyversionlist="python python2.6 python2.5 python2.4 python2.3 python2.2"
   fi
 
   AC_ARG_WITH(boost-suffix, AC_HELP_STRING([--with-boost-suffix=SUFFIX],
@@ -420,7 +420,7 @@
     boostliblist=none
   ])
   if test "x$boostliblist" = "xnone"; then
-    boostliblist="boost_python boost_python-gcc-mt-1_32 boost_python-gcc-mt-1_31"
+    boostliblist="boost_python boost_python-mt boost_python-gcc-mt-1_33_1 boost_python-gcc-mt-1_32 boost_python-gcc-mt-1_31"
   fi
 
   AC_CHECK_HEADERS([boost/shared_ptr.hpp], [
@@ -455,7 +455,8 @@
             # Check for -lpython.
             for pylib in "$pyver" $pyversionlist; do
               for pylibdir in /usr/lib /usr/local/lib \
-                  "/usr/lib/$pyver/config" "/usr/local/lib/$pyver/config"; do
+                  "/usr/lib/$pyver/config" "/usr/local/lib/$pyver/config" \
+                  "$prefix/lib" "$prefix/lib/$pyver/config"; do
                 for extralibs in "" "-lpthread -lm -lutil -ldl"; do
                   if test "x$extralibs" = "x"; then
                     extralibsmsg=""
Index: regina/kdeui/src/part/Makefile.am
===================================================================
--- regina/kdeui/src/part/Makefile.am	(revision 3227)
+++ regina/kdeui/src/part/Makefile.am	(working copy)
@@ -33,7 +33,12 @@
 
 kde_module_LTLIBRARIES = libreginapart.la
 
+if COND_BUILD_PYTHON
+libreginapart_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) \
+	@BOOST_PYTHON_LDFLAGS@
+else
 libreginapart_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
+endif
 libreginapart_la_LIBADD = $(LIB_ENGINE) $(LIB_KPARTS) -lktexteditor \
 	../common/libregina-kdecommon.la \
 	foreign/libforeign.la \
Index: regina/admin/libtool.m4.ext
===================================================================
--- regina/admin/libtool.m4.ext	(revision 3228)
+++ regina/admin/libtool.m4.ext	(working copy)
@@ -3029,7 +3029,7 @@
                _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
                ;;
              10.*)
-               _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-undefined ${wl}dynamic_lookup'
+               _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-flat_namespace ${wl}-undefined ${wl}dynamic_lookup'
                ;;
            esac
          fi
@@ -5816,7 +5816,7 @@
                _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
                ;;
              10.*)
-               _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-undefined ${wl}dynamic_lookup'
+               _LT_AC_TAGVAR(allow_undefined_flag, $1)='${wl}-flat_namespace ${wl}-undefined ${wl}dynamic_lookup'
                ;;
            esac
          fi
